<?xml version="1.0" encoding="UTF-8"?>
<!-- IBM Cognos 8 Special Edition -->
<!--
   Copyright (C) 2008 Cognos ULC, an IBM Company. All rights reserved. 
   Cognos (R) is a trademark of Cognos ULC, (formerly Cognos Incorporated)
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:crn="http://developer.cognos.com/schemas/crconfig/1/" xmlns:cfg="http://developer.cognos.com/schemas/configparams/XMLSchema/1/">
	<!-- copy all other elements -->
	<xsl:output method="xml" version="1.0" indent="yes" encoding="UTF-8"/>
	<!-- copy everything -->
	<xsl:template match="*|@*|text()|processing-instruction()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
		</xsl:copy>
	</xsl:template>
	<!-- Replace CM content store with DB2 db -->
	<xsl:template match="/crn:parameters/crn:parameter[@name = 'CM']/crn:value/crn:instances[@name='database']">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<crn:instance name="Content Store" class="DB2">
				<crn:parameter name="server">
					<crn:value xsi:type="cfg:hostPortInstance">localhost:C8SE_DB2_Port</crn:value>
				</crn:parameter>
				<crn:parameter name="user">
					<crn:value xsi:type="cfg:credential">
						<credential>
							<username>C8SE_C8_DB_UID</username>
							<password>C8SE_C8_DB_Pass</password>
						</credential>
					</crn:value>
				</crn:parameter>
				<crn:parameter name="name">
					<crn:value xsi:type="xsd:string">C8SE_C8_DB_Name</crn:value>
				</crn:parameter>
			</crn:instance>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
